package com.goldenwater.slgc.service.pms;

import com.goldenwater.slgc.entity.pms.PmsBidCaller;
import java.util.List;

public interface IPmsBidCallerService {
    /**
     * 查询招标列表
     */
    List<PmsBidCaller> selectList(PmsBidCaller bidCaller);

    /**
     * 根据主键查询招标
     */
    PmsBidCaller selectById(Long id);

    /**
     * 新增招标
     */
    int insert(PmsBidCaller bidCaller);

    /**
     * 修改招标
     */
    int update(PmsBidCaller bidCaller);

    /**
     * 删除招标
     */
    int deleteById(Long id);

    /**
     * 批量删除招标
     */
    int deleteByIds(Long[] ids);
}
